<template>
  <div data-app>
    <v-dialog v-model="open" max-width="800" height="440" data-cy="modal-add" class="box-card">
      <v-card class="dialog-card-todo">
        <div class="modal-header-todo">
          <v-row>
            <div class="col-md-9 modal-add-title" data-cy="modal-add-title"><h4>Tambah List Item</h4></div>
            <div class="col-md-3 modal-add-close-button cursor-pointer" data-cy="modal-add-close-button" @click="batal()">
              <v-icon>mdi-close</v-icon>
            </div>
          </v-row>
        </div>
        <v-divider></v-divider>
        <div class="modal-body-todo">
          <div>
            <v-card-text style="display: flex">
              <label data-cy="modal-add-name-title"><strong>NAMA LIST ITEM</strong></label>
            </v-card-text>
            <v-card-subtitle style="padding-top: 0">
              <v-text-field placeholder="Tambahkan nama Activity" outlined v-model="namaActivity" data-cy="modal-add-name-input"></v-text-field>
            </v-card-subtitle>
          </div>
          <div>
            <v-card-text style="display: flex">
              <label data-cy="modal-add-priority-title"><strong>PRIORITY</strong></label>
            </v-card-text>
            <v-card-subtitle style="padding-top: 0; padding-bottom: 0">
              <div class="col-md-4 pb-0">
                <v-select
                  data-cy="modal-add-priority-dropdown"
                  placeholder="Tambahkan nama Activity"
                  outlined
                  :items="items"
                  item-text="name"
                  item-value="value"
                  v-model="selectPriority"
                >
                  <template v-slot:selection="{ item }">
                    <div data-cy="modal-add-priority-item">
                      <v-icon style="margin-right: 5px" :color="item.color">mdi-circle</v-icon>{{ item.name }}
                    </div></template
                  >

                  <template v-slot:item="{ item }">
                    <div data-cy="modal-add-priority-item">
                      <v-icon style="margin-right: 5px" :color="item.color">mdi-circle</v-icon>{{ item.name }}
                    </div></template
                  ></v-select
                >
              </div>
            </v-card-subtitle>
          </div>
        </div>
        <v-divider></v-divider>
        <br />
        <div>
          <v-card-text>
            <v-row class="modal-footer-todo">
              <div data-cy="modal-add-save-button">
                <v-btn color="#16abf8" class="btn-delete text-white" @click="simpan()" :disabled="!namaActivity">Simpan</v-btn>
              </div>
            </v-row>
          </v-card-text>
        </div>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
import { mapActions } from "vuex";

export default {
  name: "DialogDelete",
  props: {
    isOpen: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      selectPriority: "very-high",
      items: [
        { id: 1, color: "#ed4c5c", name: "Very High", value: "very-high" },
        { id: 2, color: "#f8a541", name: "High", value: "high" },
        { id: 3, color: "#00a790", name: "Medium", value: "normal" },
        { id: 4, color: "#428bc1", name: "Low", value: "low" },
        { id: 5, color: "#8942c1", name: "Very Low", value: "very-low" },
      ],
      namaActivity: "",
    };
  },
  methods: {
    ...mapActions(["postCreateTodo"]),
    batal() {
      this.$emit("update:isOpen", false);
    },
    simpan() {
      const params = {
        title: this.namaActivity,
        activity_group_id: this.$route.params.id,
        priority: this.selectPriority,
      };
      this.postCreateTodo(params);
      this.$emit("update:isOpen", false);
    },
  },
  computed: {
    open: {
      get: function () {
        return this.isOpen;
      },
      set: function (newValue) {
        this.$emit("update:isOpen", newValue);
      },
    },
  },
};
</script>

<style lang="scss" scoped></style>
